* {
  box-sizing: border-box;
}

body {
  margin: 0;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
  color: #333;
  background: #fff;
}

.container {
  width: 95%;
  margin: 20px auto;
  display: flex;
  gap: 0;
  align-items: stretch;
}

.content {
  width: 70%;
  padding: 0 40px 20px 5px;
  background: #fff;
}

/* gap version */
/* body {
  margin: 0;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
  color: #333;
  background: #f3f3f3;
}

.container {
  width: 95%;
  max-width: 1400px;
  margin: 20px auto;
  display: flex;
  gap: 24px;
  align-items: flex-start;
} 

.content {
  width: 68%;
  background: #fff;
  padding: 22px;
} */

.date {
  font-weight: 600;
  margin: 0;
  margin-bottom: 7px;
}

.top-title {
  background: #011776;
  color: white;
  padding: 10px 0px 10px 0px;
}

.top-title h1 {
  font-size: 22px;
  margin: 0px;
}

.sidebar {
  width: 30%;
  padding: 5px 20px;
  background: #fff;
  border-left: 1px solid #ddd; /* line between sidebar*/
}

.content img {
  display: block;
  width: 70%;
  max-height: 540px;
  object-fit: contain;
  border-radius: 25px;
  margin: 0 auto 15px;
}

.article-body {
  color: black;
  /* line-height: 1.4; */
  font-size: 16px;
  text-align: justify;
}

/* header */
.article-body h1,
.article-body h2,
.article-body h3,
.article-body h4,
.article-body h5,
.article-body h6 {
  margin-top: 5px;
  margin-bottom: 5px;
}

.article-body h2 {
  font-size: 22px;
  margin: 20px 0 0;
}

.article-body h3 {
  font-size: 21px;
  margin: 20px 0 0;
}

.article-body h4 {
  font-size: 17px;
  margin: 20px 0 0;
}

.article-body h5 {
  font-size: 15px;
  margin: 20px 0 0;
}

/* paragraph */
.article-body p {
  margin: 0 0 10px;
  line-height: 1.7;
}

/* lists parent */
.article-body ul,
.article-body ol {
  padding-left: 25px;
  margin-bottom: 10px;
}

/* .article-body ul {
  list-style: none;
  padding-left: 0;
}

.article-body ul li {
  position: relative;
  padding-left: 24px;
}

.article-body ul > li::before {
  content: "➤";
  position: absolute;
  left: 0;
  top: 0;
  color: #011776;
  font-weight: 700;
} */

/* ordered list markers */
.article-body ol li::marker {
  font-weight: bold;
}

/* list items */
.article-body li {
  margin-top: 2px;
  margin-bottom: 2px;
}

/* list item paragraphs */
.article-body li > p {
  margin-top: 0;
  margin-bottom: 15px;
  line-height: 1.7;
}

/* list item paragraphs with nested ul/ol */
.article-body li > p:has(+ ul),
.article-body li > p:has(+ ol) {
  margin-bottom: 0;
}

.article-body ul > li > p b,
.article-body ol > li > p b {
  font-weight: 600 !important;
}

.article-body ul:has(> li > a) {
  margin: 0 0 10px;
}

.article-body ul > li > a {
  text-decoration: none;
  color: #011776;
  overflow-wrap: anywhere;
  word-break: break-word;
}

.sidebar-logo {
  width: 100%;
  max-width: 260px;
  height: auto;
  overflow: hidden;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.sidebar-logo a {
  display: block;
  width: 100%;
}

.full-logo {
  width: 100%;
  max-width: 220px;
  height: auto;
  display: block;
  margin: 0 auto;
}

.sidebar h3 {
  margin-top: 0;
  margin-bottom: 15px;
  padding-bottom: 12px;
  border-bottom: 1px solid #ddd;
  font-size: 22px;
}

.recent-item {
  border-bottom: 1px solid #ddd; /* border under every related post */
}

.recent-item a {
  display: block;
  padding: 12px 0;
  text-decoration: none;
  color: #222;
  line-height: 1.5;
  transition: 0.2s ease;
}

.recent-item a:hover {
  color: #0d57d8;
  padding-left: 6px;
}

@media (max-width: 1200px) {
  .top-title {
    font-size: 13px;
  }
  .container {
    flex-direction: column;
  }

  .content,
  .sidebar {
    width: 100%;
  }

  .content {
    padding: 0 28px 20px 28px;
  }

  .sidebar {
    width: 100%;
    border-left: none;
    border-top: 1px solid #ddd;
    padding: 20px;
    /* set flex */
    /* display: flex;
    text-align: center; 
    flex-direction: column;
    align-items: stretch;  */
  }

  .sidebar-logo {
    /* Change fixed width to 100% and center */
    width: 100%;
    max-width: 260px;
    height: auto;
    display: flex;
    justify-content: center;
    margin: 0 auto 20px;
  }

  .full-logo {
    /* fix size let it wont exceed */
    max-width: 220px;
    width: 100%;
    height: auto;
    margin: 0 auto;
  }

  .content img {
    width: 65%;
    max-height: 500px;
  }

  .article-body {
    font-size: 16px;
  }

  .article-body p {
    line-height: 1.6;
  }

  .article-body h2 {
    font-size: 21px;
  }

  .article-body h3 {
    font-size: 20px;
  }

  .article-body ol,
  .article-body ul {
    margin-bottom: 16px;
  }
}

@media (max-width: 480px) {
  .top-title h1 {
    font-size: 17px;
    text-align: center;
  }

  .content,
  .sidebar {
    padding: 10px;
  }

  .date {
    font-size: 12px;
  }

  .content img,
  .article-body img {
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .article-body p {
    font-size: 14px;
    line-height: 1.7;
  }

  .article-body li {
    font-size: 14px;
    line-height: 1.6;
  }

  .article-body h2,
  .article-body h3,
  .article-body h4 {
    font-size: 17px;
    line-height: 1.3;
    margin-bottom: 3px;
  }

  .recent-item {
    font-size: 13px;
  }

  .sidebar {
    /* set flex */
    /* display: flex;
    text-align: center;
    flex-direction: column;
    align-items: stretch; */
  }

  .sidebar h4 {
    font-size: 17px;
  }
}
